Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## org.codehaus.groovy.grails.web.pages.ext.jsp
[Groovy] Class JspFragmentImpl

    java.lang.Object
      javax.servlet.jsp.tagext.JspFragment
          org.codehaus.groovy.grails.web.pages.ext.jsp.JspFragmentImpl

    class JspFragmentImpl
    extends JspFragment

Property Summary
`FastStringWriter` | `body`
`GroovyPagesPageContext` | `pageContext`

Constructor Summary
`JspFragmentImpl(GroovyPagesPageContext pageContext, FastStringWriter body)`

Method Summary
`JspContext` | `getJspContext()`
`void` | `invoke(java.io.Writer out)`

Property Detail

### body

    FastStringWriter body

### pageContext

    GroovyPagesPageContext pageContext

Constructor Detail

### JspFragmentImpl

    JspFragmentImpl(GroovyPagesPageContext pageContext, FastStringWriter body)

Method Detail

### getJspContext

    JspContext getJspContext()

### invoke

    void invoke(java.io.Writer out)

Groovy Documentation